package com.uas.task;


import com.uas.service.DownloadFilePathService;
import com.uas.service.DownloadService;
import com.uas.service.DownloadStcockQtyService;
import com.uas.service.UploadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;


/**
 * @author koul
 * @email koul@usoftchina.com
 * @date 2020-11-27 09:42
 */
@Component("scheduleTask")
public class ScheduleTask {

    @Autowired
    private UploadService uploadService;
    @Autowired
    private DownloadService downloadService;

    @Autowired
    private DownloadStcockQtyService downloadStcockQtyService;

    @Autowired
    private DownloadFilePathService downloadFilePathService;
    /**
     * xml报文上传下载
     * */
   @Scheduled(fixedRate=1000*60*5)
    public void ediSendAndReceive() {
        uploadService.uploadRun();
        downloadService.downloadRun();
    }

    /*@Scheduled(fixedRate=1000*60*60)
    public void downloadStcockQty() {
        downloadStcockQtyService.downloadQty();
    }*/

    /**
     * 回签单
     * */
   /* @Scheduled(fixedRate=1000*60*60)
    public void filePath() {
        downloadFilePathService.runDownloadFilePath();
     }*/

}
